/*
 $Id: nodeco.cc,v 1.1.1.1 1996/10/02 10:35:43 roitzsch Exp $
 (C)opyright 1996 by Konrad-Zuse-Center, Berlin
 All rights reserved.
 Part of the Kaskade distribution
*/

#include "nodeco.h"


//-------------------------------------------------------------------------


NodeCoordinates:: NodeCoordinates(int spaceDim0, int lowNode0, int highNode0) 
		      
   : spaceDim(spaceDim0), lowNode(lowNode0), highNode(highNode0),
     coord(1,spaceDim0, lowNode0,highNode0)
{ }

void NodeCoordinates:: setCoordinate(int node, const Vector<Real>& x)
{
    if (node < lowNode) return;			// DLY - nodes!

    int i;
    for(i=1; i<=spaceDim; ++i)  coord(i,node) = x[i];
}

void NodeCoordinates:: getCoordinate(int node, Vector<Real>& x) const
{
    int i;
    for(i=1; i<=spaceDim; ++i)  x[i] = coord(i,node);
}
//-------------------------------------------------------------------------
